#!/bin/zsh

# Copyright 2014, 2015 Paul Hänsch
#
# This file is part of shcgi.
# 
# shcgi is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# shcgi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with shcgi.  If not, see <http://www.gnu.org/licenses/>. 

# put debug options in the local.opts file
DBG_ENABLED=false
DBG_FILE=/dev/stderr

# basic functions
debug() { #change to false to disable debugging
  if [ "$DBG_ENABLED" = true -a -n "$*" ]; then
    printf '%s\n' "$*" >>"$DBG_FILE"
  elif [ "$DBG_ENABLED" = true -a -z "$*" ]; then
    tee -a "$DBG_FILE"
  elif [ -z "$*" ]; then
    cat
  fi
}

die() {
  debug FATAL: "$*"
  printf '%s\n' "$*" >&2
  exit 1
}
